package info.bukova.isspst.ui.requirement;

import info.bukova.isspst.data.Requirement;
import info.bukova.isspst.filters.RequirementFilter;
import info.bukova.isspst.services.requirement.RequirementService;
import info.bukova.isspst.ui.ListViewModel;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

public class RequirementList extends ListViewModel<Requirement> {

	@WireVariable
	private RequirementService requirementService;

	@Init
	public void init() {
		service = requirementService;
		dataClass = Requirement.class;
		formZul = "requirementsForm.zul";
		dataFilter = new RequirementFilter(getFilterTemplate());
	}

}
